%define pfx /opt/freescale/rootfs/%{_target_cpu}

Summary         : Sample kernel module
Name            : sample_ltib_ko
Version         : 0.0
Release         : 1
License         : GPL
Vendor          : Freescale
Packager        : Joe D'Abbraccio
Group           : Modules
Source          : %{name}-%{version}.tgz
BuildRoot       : %{_tmppath}/%{name}
Prefix          : %{pfx}

%Description
%{summary}

%Prep
%setup 

%Build
make ARCH=${LINTARCH} CROSS_COMPILE= LINUXSRC=../linux-2.6.19 PLATFORM=${PLATFORM}

%Install
#rm -rf $RPM_BUILD_ROOT
if [ -e $RPM_BUILD_ROOT%{pfx}/lib/modules/2.6.19/kernel/drivers/sample_ltib_ko ]
then echo $RPM_BUILD_ROOT%{pfx}/lib/modules/2.6.19/kernel/drivers/sample_ltib_ko exists
else
   echo $RPM_BUILD_ROOT%{pfx}/lib/modules/2.6.19/kernel/drivers/sample_ltib_ko does NOT exists... creating it
   mkdir -m 0755 -p $RPM_BUILD_ROOT%{pfx}/lib/modules/2.6.19/kernel/drivers/sample_ltib_ko
fi
make PLATFORM=${PLATFORM} LINUXSRC=../linux INSTDIR=$RPM_BUILD_ROOT/%{pfx}/opt/sample_ltib_ko install
cp sample_ltib_ko.ko $RPM_BUILD_ROOT%{pfx}/lib/modules/2.6.19/kernel/drivers/sample_ltib_ko/.

%Clean
make ARCH=${LINTARCH} CROSS_COMPILE= PLATFORM=${PLATFORM} LINUXSRC=../linux clean
rm -rf $RPM_BUILD_ROOT

%Files
%defattr(-,root,root)
%{pfx}/*
