/*

    Sample kernel module.

*/

#include <linux/init.h>
#include <linux/module.h>


MODULE_LICENSE("GPL");


static int sample_init(void)
{
	printk(KERN_ALERT "Sample: Hello\n");
	return (0);
}

static void sample_exit(void)
{
	printk(KERN_ALERT "Sample: Goodbye\n");
	return;
}

module_init(sample_init);
module_exit(sample_exit);

